Bug 432250 - Feature request: allow same kernels for different archs te be installed simultaniously
Feature request: allow same kernels for different archs te be installed simul...
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-02-10 08:14 EST by Rolf Fokkens
Modified: 2008-08-21 16:10 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-08-21 16:10:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rolf Fokkens 2008-02-10 08:14:53 EST
Description of problem:
1) A single grub config for F8 can be used for both an i386 and an x86_64
install on the same machine, but both installs write conflicting kernel info in
shared config when the kernel is upgraded, becaus of the same image naming. As
to why both a i386 and a x86_64 are installed: te investigate game issues on
x86_64 for 32bit games - Return to Castle Wolfenstein has an issue for example.
2) Potential future use: run a 32bit F8 install on a x86_64 kernel as an option.
during boot the user may choose the 32bit kernel or the 64bit kernel. This may
help to intensify the x86_64 kernel use. Agreed: modutils needs to be changed
for this.
3) livna provides nvidia kernel modules for i586, which forces me to use a i586
kernel though I would like to keep my i686 kernel as well. This however is not

This suggestion may have been posted and/or discussed before, but I wasn't able
to find it.
Comment 1 Bug Zapper 2008-05-14 01:07:15 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 2 Rolf Fokkens 2008-08-21 16:10:08 EDT
Fedora 9 surprisingly has my requested feature. So the request is now opsolete.

Note You need to log in before you can comment on or make changes to this bug.